# Touchgram for iMessage {#scenariosPage}

Explaining the scenarios.

These diagrams are done in the minimalist style from the article [A shorthand for designing UI flows](https://signalvnoise.com/posts/1926-a-shorthand-for-designing-ui-flows) at _37signals_, the makers of _Basecamp_.


@startuml
!include handDrawnStyle.iuml
title Shorthand 

state "What the \n__user sees__" as s1 : What they\nDo

state "What they\n__see next__" as s2 : What they\nDo Next

s1 -> s2

@enduml

## Mother's Foot Scenario - Creation

@startuml
!include handDrawnStyle.iuml
title User Flows hand-drawn look

state "__Templates List__" as TL : Pick template

state "__Complete Template__" as CT 
CT : Select customisation point
CT : Edit composed msg


state "__Single Custom Entry__" as SCE


SCE : Enter Text
SCE : Add picture
SCE : Record Sound
SCE : ...
  
  
state "__Full Editor__" as FE 
FE : Select picture
FE : ...

[*] --> TL
[*] --> FE : New msg
TL --> CT
CT --> FE
CT --> SCE


@enduml